## deepin-event-log 2.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

add_compile_options(-fPIC)
if(CMAKE_BUILD_TYPE AND (CMAKE_BUILD_TYPE STREQUAL "Debug"))
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -g -O0")
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/Debug)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/Debug)
elseif(CMAKE_BUILD_TYPE AND (CMAKE_BUILD_TYPE STREQUAL "Release"))
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O3")
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/Release)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/Release)
endif()

add_subdirectory(sdk)

add_subdirectory(daemon)

=== daemon/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(deepin-event-log-daemon)

# find_program(CMAKE_CXX_CPPCHECK NAMES cppcheck)
# if(CMAKE_CXX_CPPCHECK)
#     list(
#         APPEND CMAKE_CXX_CPPCHECK
#         "--enable=warning,style"
#         "--inconclusive"
#         "--template=gcc"
#         "--language=c++"
#         "--std=c++11"
#         ${CMAKE_CXX_CPPCHECK}/src
#         )
# endif()

message("current build type:${CMAKE_BUILD_TYPE}")
if(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "x86_64")
    set(GLIBPREFIX "x86_64")
elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "aarch64")
    set(GLIBPREFIX "aarch64")
elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(GLIBPREFIX "mips64el")
    set(GLIBSUFFIX "abi64")
elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "sw_64")
    set(GLIBPREFIX "sw_64")
elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "loongarch64")
    set(GLIBPREFIX "loongarch64")
else()
    set(GLIBPREFIX "i386")
endif()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -z now -z noexecstack -D_FORTIFY_SOURCE=2 -fstack-protector-all -pie -fPIC -z lazy")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z now -z noexecstack -D_FORTIFY_SOURCE=2 -fstack-protector-all -pie -fPIC -z lazy")

message("current arch:${CMAKE_SYSTEM_PROCESSOR}")
message("current host arch:${CMAKE_HOST_SYSTEM_PROCESSOR}")

include_directories(${PROJECT_SOURCE_DIR}/../include)

include_directories(/usr/include/glib-2.0 /usr/lib/${GLIBPREFIX}-linux-gnu${GLIBSUFFIX}/glib-2.0/include /usr/include/gio-unix-2.0)

#link_directories(${PROJECT_SOURCE_DIR}/../lib)

aux_source_directory(./src SRC_LIST)

add_executable(${PROJECT_NAME} ${SRC_LIST})

target_link_libraries(${PROJECT_NAME} libpthread.so libgio-2.0.so libgobject-2.0.so libglib-2.0.so)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION /usr/bin/)
install(FILES ${PROJECT_SOURCE_DIR}/configfile/org.deepin.EventLog1.service DESTINATION /usr/share/dbus-1/system-services/)
install(FILES ${PROJECT_SOURCE_DIR}/configfile/org.deepin.EventLog1.conf DESTINATION /usr/share/dbus-1/system.d/)
install(FILES ${PROJECT_SOURCE_DIR}/configfile/event-log.service DESTINATION /lib/systemd/system/)
install(FILES ${PROJECT_SOURCE_DIR}/configfile/org.deepin.EventLog1.policy DESTINATION /usr/share/polkit-1/actions/)

=== sdk/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(deepin-event-log)

# find_program(CMAKE_CXX_CPPCHECK NAMES cppcheck)
# if(CMAKE_CXX_CPPCHECK)
#     list(
#         APPEND CMAKE_CXX_CPPCHECK
#         "--enable=warning,style"
#         "--inconclusive"
#         "--template=gcc"
#         "--language=c++"
#         "--std=c++11"
#         ${CMAKE_CXX_CPPCHECK}/src
#         )
# endif()

message("current build type:${CMAKE_BUILD_TYPE}")
if(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "x86_64")
    set(GLIBPREFIX "x86_64")
elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "aarch64")
    set(GLIBPREFIX "aarch64")
elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(GLIBPREFIX "mips64el")
    set(GLIBSUFFIX "abi64")
elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "sw_64")
    set(GLIBPREFIX "sw_64")
elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "loongarch64")
    set(GLIBPREFIX "loongarch64")
else()
    set(GLIBPREFIX "i386")
endif()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -z now -z noexecstack -D_FORTIFY_SOURCE=2 -fstack-protector-all -pie -fPIC -z lazy")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z now -z noexecstack -D_FORTIFY_SOURCE=2 -fstack-protector-all -pie -fPIC -z lazy")

include_directories(${PROJECT_SOURCE_DIR}/../include /usr/include/glib-2.0 /usr/lib/${GLIBPREFIX}-linux-gnu${GLIBSUFFIX}/glib-2.0/include /usr/include/gio-unix-2.0)

include_directories(${PROJECT_SOURCE_DIR}/../include)

#link_directories(${PROJECT_SOURCE_DIR}/../lib)

aux_source_directory(./src SRC_LIST)

add_library(${PROJECT_NAME} SHARED ${SRC_LIST})

target_link_libraries(${PROJECT_NAME} libgio-2.0.so libgobject-2.0.so libglib-2.0.so libpthread.so)
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION /usr/lib/)

=== debian/changelog ===
deepin-event-log (2.1.2-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@linuxdeepin.com>  Fri, 18 Oct 2024 13:21:04 +0800

deepin-event-log (1.0.0) unstable; urgency=medium

  * Initial release

 -- Deepin Sysdev <sysdev@linuxdeepin.com>  Thu, 10 Jun 2022 10:07:06 +0800

=== debian/control ===
Source: deepin-event-log
Section: misc
Priority: optional
Maintainer: Deepin Sysdev <sysdev@linuxdeepin.com>
Build-Depends: 
 debhelper-compat (=11),
 g++ (>= 8.3.0),
 cmake(>=2.8),
 libglib2.0-dev
Standards-Version: 4.1.3
Homepage: http://www.linuxdeepin.com/

Package: deepin-event-log-daemon
Conflicts: deepin-user-experience-daemon
Replaces: deepin-user-experience-daemon
Provides: deepin-user-experience-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Deepin event-log daemon is a event log daemon.
 this is a daemon for event log, used to archive event log for application.

Package: deepin-event-log
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-event-log-daemon
Description: Deepin libdeepin-event-log is event log library.
 this is used with deepin-event-log daemon, used to send event log data to the daemon.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"

override_dh_install:
	dh_install

override_dh_auto_clean:
	dh_auto_clean
